ReplayPosition (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.commitlog

## Class ReplayPosition

- java.lang.Object
- - org.apache.cassandra.db.commitlog.ReplayPosition

- All Implemented Interfaces:
    java.lang.Comparable<ReplayPosition>

      public class ReplayPosition
      extends java.lang.Object
      implements java.lang.Comparable<ReplayPosition>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReplayPosition.ReplayPositionSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Comparator<ReplayPosition>` | `comparator`
    `static ReplayPosition` | `NONE`
    `int` | `position`
    `long` | `segment`
    `static ReplayPosition.ReplayPositionSerializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayPosition(long segment, int position)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReplayPosition` | `clone()`
    `int` | `compareTo(ReplayPosition other)`
    `boolean` | `equals(java.lang.Object o)`
    `static ReplayPosition` | `getReplayPosition(java.lang.Iterable<? extends SSTableReader> sstables)` Convenience method to compute the replay position for a group of SSTables.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final ReplayPosition.ReplayPositionSerializer serializer

    - #### NONE

          public static final ReplayPosition NONE

    - #### segment

          public final long segment

    - #### position

          public final int position

    - #### comparator

          public static final java.util.Comparator<ReplayPosition> comparator

  - ### Constructor Detail

    - #### ReplayPosition

          public ReplayPosition(long segment,
                        int position)

  - ### Method Detail

    - #### getReplayPosition

          public static ReplayPosition getReplayPosition(java.lang.Iterable<? extends SSTableReader> sstables)

      Convenience method to compute the replay position for a group of SSTables.
      Parameters:
        `sstables` -
      Returns:
        the most recent (highest) replay position

    - #### compareTo

          public int compareTo(ReplayPosition other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ReplayPosition>`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          public ReplayPosition clone()

      Overrides:
        `clone` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation